/* version  "00.01.00" major.minor.bugfix */
/* Sven Goethel, sgoethel@jausoft.com, LICENSE: LGPL */
/*
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.
   
   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the
   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA  02111-1307, USA.

*/
#ifndef MP3ID3UTIL_H
#define MP3ID3UTIL_H

#include "tag.h"

void mp3id3ListGenres(FILE *out) ;

bool mp3id3Get(FILE * inFile, Tag ** outTag);

void  mp3id3Show(const Tag * inTag);

bool mp3id3Set(FILE * outFile, Tag * inTag, int verbose,
	       const char *title, const char *artist, const char *album, 
	       const char *year, const char *comment, int genre );

#endif
