/* tools.cpp

  Created by SMF aka Antoine Laydier (laydier@usa.net)

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Library General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.
  
  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Library General Public License for more details.
  
  You should have received a copy of the GNU Library General Public
  License along with this library; if not, write to the
  Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA  02111-1307, USA.

 */

/*=============================================================================
  HEADERs
 =============================================================================*/
#include "tools.h"
#include <string.h>

/*=============================================================================
 Class : Tools
 =============================================================================*/
void Tools::safecopy(char *to, char *from, int maxlen)
{
    int where;
    strncpy(to, from, maxlen);
    to[maxlen] = 0;
    for (where = maxlen - 1; ((where >= 0) && (to[where] == ' ')); where--) {
	to[where] = 0;
    }
}

void Tools::spacecopy(char *to, char *from, int maxlen)
{
    int where;
    strncpy(to, from, maxlen);
    for (where = maxlen - 1; ((where >= 0) && (to[where] == 0)); where--) {
	to[where] = ' ';
    }
}
